# Uses of Interface
org.springframework.web.filter.reactive.UrlHandlerFilter.Builder

Packages that use UrlHandlerFilter.Builder
Package
Description
org.springframework.web.filter.reactive
`WebFilter` implementations for use in reactive web applications.

## Uses of UrlHandlerFilter.Builder in org.springframework.web.filter.reactive

Methods in org.springframework.web.filter.reactive that return UrlHandlerFilter.Builder
Modifier and Type
Method
Description
`UrlHandlerFilter.Builder`
UrlHandlerFilter.Builder.TrailingSlashSpec.`mutateRequest()`
Handle the request by wrapping it in order to trim the trailing slash, and delegating to the rest of the filter chain.
`UrlHandlerFilter.Builder`
UrlHandlerFilter.Builder.TrailingSlashSpec.`redirect(HttpStatusCode statusCode)`
Handle requests by sending a redirect to the same URL but the trailing slash trimmed.